# kernelArchitecture

### SysInfo.kernelArchitecture

The kernelArchitecture describes the type of CPU your app is running on.

Possible values are:

| Architecture                  | Reported By             | Value   |
| ----------------------------- | ----------------------- | ------- |
| ProcessorArchitecture.aarch64 |                         | AARCH64 |
| ProcessorArchitecture.arm     | MacOS Arm, Raspberry Pi | ARM     |
| ProcessorArchitecture.ia64    |                         | IA64    |
| ProcessorArchitecture.mips    |                         | MIPS    |
| ProcessorArchitecture.x86     | Windows 32, Linux 32    | X86     |
| ProcessorArchitecture.x86\_64 | Windows 64, Linux 64    | X86\_64 |
| ProcessorArchitecture.unknown |                         | UNKNOWN |

#### Example:

```dart
import "package:system_info2/system_info2.dart";

print("Kernel architecuture          : ${SysInfo.kernelArchitecture}");
```

{% hint style="info" %}
Please help expand the list of examples by raising an issue with examples on the [onpub.dev github site](https://github.com/onepub-dev/system_info).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://sysinfo.onepub.dev/reference/sysinfo/kernelarchitecture.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
